public class TransactionsApi extends Object
| Constructor and Description |
|---|
TransactionsApi() |
TransactionsApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
IdentifierList |
deleteAllTransactions()
Delete all transactions
Delete all deletable transactions of the currently authorized user.
|
com.squareup.okhttp.Call |
deleteAllTransactionsAsync(ApiCallback<IdentifierList> callback)
Delete all transactions (asynchronously)
Delete all deletable transactions of the currently authorized user.
|
com.squareup.okhttp.Call |
deleteAllTransactionsCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAllTransactions
|
ApiResponse<IdentifierList> |
deleteAllTransactionsWithHttpInfo()
Delete all transactions
Delete all deletable transactions of the currently authorized user.
|
void |
deleteTransaction(Long id)
Delete a transaction
Delete a single transaction of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
deleteTransactionAsync(Long id,
ApiCallback<Void> callback)
Delete a transaction (asynchronously)
Delete a single transaction of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
deleteTransactionCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteTransaction
|
ApiResponse<Void> |
deleteTransactionWithHttpInfo(Long id)
Delete a transaction
Delete a single transaction of the user that is authorized by the access_token.
|
IdentifierList |
editMultipleTransactions(UpdateMultipleTransactionsParams body)
Edit multiple transactions
Edit one or multiple transactions.
|
com.squareup.okhttp.Call |
editMultipleTransactionsAsync(UpdateMultipleTransactionsParams body,
ApiCallback<IdentifierList> callback)
Edit multiple transactions (asynchronously)
Edit one or multiple transactions.
|
com.squareup.okhttp.Call |
editMultipleTransactionsCall(UpdateMultipleTransactionsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editMultipleTransactions
|
IdentifierList |
editMultipleTransactionsDeprecated(List<Long> ids,
UpdateTransactionsParams body)
Deprecated.
|
com.squareup.okhttp.Call |
editMultipleTransactionsDeprecatedAsync(List<Long> ids,
UpdateTransactionsParams body,
ApiCallback<IdentifierList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
editMultipleTransactionsDeprecatedCall(List<Long> ids,
UpdateTransactionsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<IdentifierList> |
editMultipleTransactionsDeprecatedWithHttpInfo(List<Long> ids,
UpdateTransactionsParams body)
Deprecated.
|
ApiResponse<IdentifierList> |
editMultipleTransactionsWithHttpInfo(UpdateMultipleTransactionsParams body)
Edit multiple transactions
Edit one or multiple transactions.
|
Transaction |
editTransaction(Long id,
UpdateTransactionsParams body)
Edit a transaction
Change a transaction's fields.
|
com.squareup.okhttp.Call |
editTransactionAsync(Long id,
UpdateTransactionsParams body,
ApiCallback<Transaction> callback)
Edit a transaction (asynchronously)
Change a transaction's fields.
|
com.squareup.okhttp.Call |
editTransactionCall(Long id,
UpdateTransactionsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for editTransaction
|
ApiResponse<Transaction> |
editTransactionWithHttpInfo(Long id,
UpdateTransactionsParams body)
Edit a transaction
Change a transaction's fields.
|
PageableTransactionList |
getAndSearchAllTransactions(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order)
Get and search all transactions
Get transactions of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
getAndSearchAllTransactionsAsync(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<PageableTransactionList> callback)
Get and search all transactions (asynchronously)
Get transactions of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
getAndSearchAllTransactionsCall(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllTransactions
|
ApiResponse<PageableTransactionList> |
getAndSearchAllTransactionsWithHttpInfo(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order)
Get and search all transactions
Get transactions of the user that is authorized by the access_token.
|
ApiClient |
getApiClient() |
TransactionList |
getMultipleTransactions(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
getMultipleTransactionsAsync(List<Long> ids,
ApiCallback<TransactionList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
getMultipleTransactionsCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<TransactionList> |
getMultipleTransactionsWithHttpInfo(List<Long> ids)
Deprecated.
|
Transaction |
getTransaction(Long id)
Get a transaction
Get a single transaction of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
getTransactionAsync(Long id,
ApiCallback<Transaction> callback)
Get a transaction (asynchronously)
Get a single transaction of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
getTransactionCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getTransaction
|
ApiResponse<Transaction> |
getTransactionWithHttpInfo(Long id)
Get a transaction
Get a single transaction of the user that is authorized by the access_token.
|
Transaction |
restoreTransaction(Long id)
Restore a transaction
Restore a previously split transaction.
|
com.squareup.okhttp.Call |
restoreTransactionAsync(Long id,
ApiCallback<Transaction> callback)
Restore a transaction (asynchronously)
Restore a previously split transaction.
|
com.squareup.okhttp.Call |
restoreTransactionCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for restoreTransaction
|
ApiResponse<Transaction> |
restoreTransactionWithHttpInfo(Long id)
Restore a transaction
Restore a previously split transaction.
|
void |
setApiClient(ApiClient apiClient) |
Transaction |
splitTransaction(Long id,
SplitTransactionsParams body)
Split a transaction
Split a transaction into several logical sub-transactions.
|
com.squareup.okhttp.Call |
splitTransactionAsync(Long id,
SplitTransactionsParams body,
ApiCallback<Transaction> callback)
Split a transaction (asynchronously)
Split a transaction into several logical sub-transactions.
|
com.squareup.okhttp.Call |
splitTransactionCall(Long id,
SplitTransactionsParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for splitTransaction
|
ApiResponse<Transaction> |
splitTransactionWithHttpInfo(Long id,
SplitTransactionsParams body)
Split a transaction
Split a transaction into several logical sub-transactions.
|
void |
triggerCategorization(TriggerCategorizationParams body)
Trigger categorization
Triggers finAPI's background categorization process for all uncategorized transactions of the given bank connection(s) (or of all of the user's bank connections, if no bank connection identifiers are passed).
|
com.squareup.okhttp.Call |
triggerCategorizationAsync(TriggerCategorizationParams body,
ApiCallback<Void> callback)
Trigger categorization (asynchronously)
Triggers finAPI's background categorization process for all uncategorized transactions of the given bank connection(s) (or of all of the user's bank connections, if no bank connection identifiers are passed).
|
com.squareup.okhttp.Call |
triggerCategorizationCall(TriggerCategorizationParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for triggerCategorization
|
ApiResponse<Void> |
triggerCategorizationWithHttpInfo(TriggerCategorizationParams body)
Trigger categorization
Triggers finAPI's background categorization process for all uncategorized transactions of the given bank connection(s) (or of all of the user's bank connections, if no bank connection identifiers are passed).
|
public TransactionsApi()
public TransactionsApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public com.squareup.okhttp.Call deleteAllTransactionsCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic IdentifierList deleteAllTransactions() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<IdentifierList> deleteAllTransactionsWithHttpInfo() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call deleteAllTransactionsAsync(ApiCallback<IdentifierList> callback) throws ApiException
callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call deleteTransactionCall(Long id, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
id - Identifier of transaction (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic void deleteTransaction(Long id) throws ApiException
id - Identifier of transaction (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Void> deleteTransactionWithHttpInfo(Long id) throws ApiException
id - Identifier of transaction (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call deleteTransactionAsync(Long id, ApiCallback<Void> callback) throws ApiException
id - Identifier of transaction (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call editMultipleTransactionsCall(UpdateMultipleTransactionsParams body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
body - Update transactions parameters (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic IdentifierList editMultipleTransactions(UpdateMultipleTransactionsParams body) throws ApiException
body - Update transactions parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<IdentifierList> editMultipleTransactionsWithHttpInfo(UpdateMultipleTransactionsParams body) throws ApiException
body - Update transactions parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call editMultipleTransactionsAsync(UpdateMultipleTransactionsParams body, ApiCallback<IdentifierList> callback) throws ApiException
body - Update transactions parameters (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object@Deprecated public com.squareup.okhttp.Call editMultipleTransactionsDeprecatedCall(List<Long> ids, UpdateTransactionsParams body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
ids - Comma-separated list of identifiers of updated transactions (required)body - Update transactions parameters (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body object@Deprecated public IdentifierList editMultipleTransactionsDeprecated(List<Long> ids, UpdateTransactionsParams body) throws ApiException
ids - Comma-separated list of identifiers of updated transactions (required)body - Update transactions parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body@Deprecated public ApiResponse<IdentifierList> editMultipleTransactionsDeprecatedWithHttpInfo(List<Long> ids, UpdateTransactionsParams body) throws ApiException
ids - Comma-separated list of identifiers of updated transactions (required)body - Update transactions parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body@Deprecated public com.squareup.okhttp.Call editMultipleTransactionsDeprecatedAsync(List<Long> ids, UpdateTransactionsParams body, ApiCallback<IdentifierList> callback) throws ApiException
ids - Comma-separated list of identifiers of updated transactions (required)body - Update transactions parameters (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call editTransactionCall(Long id, UpdateTransactionsParams body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
id - Identifier of transaction (required)body - Update transactions parameters (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic Transaction editTransaction(Long id, UpdateTransactionsParams body) throws ApiException
id - Identifier of transaction (required)body - Update transactions parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Transaction> editTransactionWithHttpInfo(Long id, UpdateTransactionsParams body) throws ApiException
id - Identifier of transaction (required)body - Update transactions parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call editTransactionAsync(Long id, UpdateTransactionsParams body, ApiCallback<Transaction> callback) throws ApiException
id - Identifier of transaction (required)body - Update transactions parameters (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call getAndSearchAllTransactionsCall(String view, List<Long> ids, String search, String counterpart, List<Long> accountIds, String minBankBookingDate, String maxBankBookingDate, String minFinapiBookingDate, String maxFinapiBookingDate, BigDecimal minAmount, BigDecimal maxAmount, String direction, List<Long> labelIds, List<Long> categoryIds, Boolean includeChildCategories, Boolean isNew, Boolean isPotentialDuplicate, Boolean isAdjustingEntry, String minImportDate, String maxImportDate, Integer page, Integer perPage, List<String> order, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
view - This parameter defines finAPI's logical view on the transactions when querying them: 'bankView' regards only the original transactions as they were received from the bank, without considering how the transactions might have gotten split by the user (see POST /transactions/<id>/split). This means that if a transaction is split into logical sub-transactions, then the service will still regard only the original transaction, and NOT the logical sub-transactions in its processing (though for convenience, the transactions will have the data of their sub-transactions included in the response). 'userView' by contrast regards the transactions as they exist for the user. For transactions that have not been split into logical sub-transactions, there is no difference to the \"bankView\". But for transaction that have been split into logical sub-transactions, the service will ONLY regard these sub-transactions, and not the originally received transaction (though for convenience, the sub-transactions will have the identifier of their original transaction included in the response). (required)ids - A comma-separated list of transaction identifiers. If specified, then only transactions whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)search - If specified, then only those transactions will be contained in the result whose 'purpose' or counterpart fields contain the given search string (the matching works case-insensitive). If no transactions contain the search string in any of these fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for a transaction to get included into the result. (optional)counterpart - If specified, then only those transactions will be contained in the result whose counterpart fields contain the given search string (the matching works case-insensitive). If no transactions contain the search string in any of the counterpart fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for a transaction to get included into the result. (optional)accountIds - A comma-separated list of account identifiers. If specified, then only transactions that relate to the given accounts will be regarded. If not specified, then all accounts will be regarded. (optional)minBankBookingDate - Lower bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or later than the given date will be regarded. (optional)maxBankBookingDate - Upper bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or earlier than the given date will be regarded. (optional)minFinapiBookingDate - Lower bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)maxFinapiBookingDate - Upper bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)minAmount - If specified, then only transactions whose amount is equal to or greater than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)maxAmount - If specified, then only transactions whose amount is equal to or less than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)direction - If specified, then only transactions with the given direction(s) will be regarded. Use 'income' for regarding only received payments (amount >= 0), 'spending' for regarding only outgoing payments (amount < 0), or 'all' to regard both directions. If not specified, the direction defaults to 'all'. (optional, default to all)labelIds - A comma-separated list of label identifiers. If specified, then only transactions that have been marked with at least one of the given labels will be contained in the result. (optional)categoryIds - A comma-separated list of category identifiers. If specified, then the result will contain only transactions whose category is either one of the given categories, or - but only if the 'includeChildCategories' flag is set to 'true' - whose category is a sub-category of one of the given categories. To include transactions without any category, pass the value '0' as the categoryId. (optional)includeChildCategories - This flag controls how the given 'categoryIds' are handled. If set to 'true', then all transactions of a given categoryId, as well as all transactions of any of its sub-categories will be regarded. If set to 'false', then sub-categories of a given categoryId will not be regarded and only those transactions are regarded whose category matches one of the explicitly given categoryIds. The default value for this flag is 'true'. (optional, default to true)isNew - If specified, then only transactions that have their 'isNew' flag set to true/false will be regarded. (optional)isPotentialDuplicate - If specified, then only transactions that have their 'isPotentialDuplicate' flag set to true/false will be regarded. (optional)isAdjustingEntry - If specified, then only transactions that have their 'isAdjustingEntry' flag set to true/false will be regarded. (optional)minImportDate - Lower bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or later than the given date will be regarded. (optional)maxImportDate - Upper bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or earlier than the given date will be regarded. (optional)page - Result page that you want to retrieve. (optional, default to 1)perPage - Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional, default to 20)order - Determines the order of the results. You can use the following fields for ordering the response: 'id', 'parentId', 'accountId', 'valueDate', 'bankBookingDate', 'finapiBookingDate', 'amount', 'purpose', 'counterpartName', 'counterpartAccountNumber', 'counterpartIban', 'counterpartBlz', 'counterpartBic', 'type', 'primanota', 'category.id', 'category.name', 'isPotentialDuplicate', 'isNew' and 'importDate'. The default order for all services is 'id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/transactions?order=finapiBookingDate,desc&order=counterpartName' will return the latest transactions first. If there are more transactions on the same day, then these transactions are ordered by the counterpart name (ascending). The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic PageableTransactionList getAndSearchAllTransactions(String view, List<Long> ids, String search, String counterpart, List<Long> accountIds, String minBankBookingDate, String maxBankBookingDate, String minFinapiBookingDate, String maxFinapiBookingDate, BigDecimal minAmount, BigDecimal maxAmount, String direction, List<Long> labelIds, List<Long> categoryIds, Boolean includeChildCategories, Boolean isNew, Boolean isPotentialDuplicate, Boolean isAdjustingEntry, String minImportDate, String maxImportDate, Integer page, Integer perPage, List<String> order) throws ApiException
view - This parameter defines finAPI's logical view on the transactions when querying them: 'bankView' regards only the original transactions as they were received from the bank, without considering how the transactions might have gotten split by the user (see POST /transactions/<id>/split). This means that if a transaction is split into logical sub-transactions, then the service will still regard only the original transaction, and NOT the logical sub-transactions in its processing (though for convenience, the transactions will have the data of their sub-transactions included in the response). 'userView' by contrast regards the transactions as they exist for the user. For transactions that have not been split into logical sub-transactions, there is no difference to the \"bankView\". But for transaction that have been split into logical sub-transactions, the service will ONLY regard these sub-transactions, and not the originally received transaction (though for convenience, the sub-transactions will have the identifier of their original transaction included in the response). (required)ids - A comma-separated list of transaction identifiers. If specified, then only transactions whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)search - If specified, then only those transactions will be contained in the result whose 'purpose' or counterpart fields contain the given search string (the matching works case-insensitive). If no transactions contain the search string in any of these fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for a transaction to get included into the result. (optional)counterpart - If specified, then only those transactions will be contained in the result whose counterpart fields contain the given search string (the matching works case-insensitive). If no transactions contain the search string in any of the counterpart fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for a transaction to get included into the result. (optional)accountIds - A comma-separated list of account identifiers. If specified, then only transactions that relate to the given accounts will be regarded. If not specified, then all accounts will be regarded. (optional)minBankBookingDate - Lower bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or later than the given date will be regarded. (optional)maxBankBookingDate - Upper bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or earlier than the given date will be regarded. (optional)minFinapiBookingDate - Lower bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)maxFinapiBookingDate - Upper bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)minAmount - If specified, then only transactions whose amount is equal to or greater than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)maxAmount - If specified, then only transactions whose amount is equal to or less than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)direction - If specified, then only transactions with the given direction(s) will be regarded. Use 'income' for regarding only received payments (amount >= 0), 'spending' for regarding only outgoing payments (amount < 0), or 'all' to regard both directions. If not specified, the direction defaults to 'all'. (optional, default to all)labelIds - A comma-separated list of label identifiers. If specified, then only transactions that have been marked with at least one of the given labels will be contained in the result. (optional)categoryIds - A comma-separated list of category identifiers. If specified, then the result will contain only transactions whose category is either one of the given categories, or - but only if the 'includeChildCategories' flag is set to 'true' - whose category is a sub-category of one of the given categories. To include transactions without any category, pass the value '0' as the categoryId. (optional)includeChildCategories - This flag controls how the given 'categoryIds' are handled. If set to 'true', then all transactions of a given categoryId, as well as all transactions of any of its sub-categories will be regarded. If set to 'false', then sub-categories of a given categoryId will not be regarded and only those transactions are regarded whose category matches one of the explicitly given categoryIds. The default value for this flag is 'true'. (optional, default to true)isNew - If specified, then only transactions that have their 'isNew' flag set to true/false will be regarded. (optional)isPotentialDuplicate - If specified, then only transactions that have their 'isPotentialDuplicate' flag set to true/false will be regarded. (optional)isAdjustingEntry - If specified, then only transactions that have their 'isAdjustingEntry' flag set to true/false will be regarded. (optional)minImportDate - Lower bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or later than the given date will be regarded. (optional)maxImportDate - Upper bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or earlier than the given date will be regarded. (optional)page - Result page that you want to retrieve. (optional, default to 1)perPage - Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional, default to 20)order - Determines the order of the results. You can use the following fields for ordering the response: 'id', 'parentId', 'accountId', 'valueDate', 'bankBookingDate', 'finapiBookingDate', 'amount', 'purpose', 'counterpartName', 'counterpartAccountNumber', 'counterpartIban', 'counterpartBlz', 'counterpartBic', 'type', 'primanota', 'category.id', 'category.name', 'isPotentialDuplicate', 'isNew' and 'importDate'. The default order for all services is 'id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/transactions?order=finapiBookingDate,desc&order=counterpartName' will return the latest transactions first. If there are more transactions on the same day, then these transactions are ordered by the counterpart name (ascending). The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<PageableTransactionList> getAndSearchAllTransactionsWithHttpInfo(String view, List<Long> ids, String search, String counterpart, List<Long> accountIds, String minBankBookingDate, String maxBankBookingDate, String minFinapiBookingDate, String maxFinapiBookingDate, BigDecimal minAmount, BigDecimal maxAmount, String direction, List<Long> labelIds, List<Long> categoryIds, Boolean includeChildCategories, Boolean isNew, Boolean isPotentialDuplicate, Boolean isAdjustingEntry, String minImportDate, String maxImportDate, Integer page, Integer perPage, List<String> order) throws ApiException
view - This parameter defines finAPI's logical view on the transactions when querying them: 'bankView' regards only the original transactions as they were received from the bank, without considering how the transactions might have gotten split by the user (see POST /transactions/<id>/split). This means that if a transaction is split into logical sub-transactions, then the service will still regard only the original transaction, and NOT the logical sub-transactions in its processing (though for convenience, the transactions will have the data of their sub-transactions included in the response). 'userView' by contrast regards the transactions as they exist for the user. For transactions that have not been split into logical sub-transactions, there is no difference to the \"bankView\". But for transaction that have been split into logical sub-transactions, the service will ONLY regard these sub-transactions, and not the originally received transaction (though for convenience, the sub-transactions will have the identifier of their original transaction included in the response). (required)ids - A comma-separated list of transaction identifiers. If specified, then only transactions whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)search - If specified, then only those transactions will be contained in the result whose 'purpose' or counterpart fields contain the given search string (the matching works case-insensitive). If no transactions contain the search string in any of these fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for a transaction to get included into the result. (optional)counterpart - If specified, then only those transactions will be contained in the result whose counterpart fields contain the given search string (the matching works case-insensitive). If no transactions contain the search string in any of the counterpart fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for a transaction to get included into the result. (optional)accountIds - A comma-separated list of account identifiers. If specified, then only transactions that relate to the given accounts will be regarded. If not specified, then all accounts will be regarded. (optional)minBankBookingDate - Lower bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or later than the given date will be regarded. (optional)maxBankBookingDate - Upper bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or earlier than the given date will be regarded. (optional)minFinapiBookingDate - Lower bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)maxFinapiBookingDate - Upper bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)minAmount - If specified, then only transactions whose amount is equal to or greater than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)maxAmount - If specified, then only transactions whose amount is equal to or less than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)direction - If specified, then only transactions with the given direction(s) will be regarded. Use 'income' for regarding only received payments (amount >= 0), 'spending' for regarding only outgoing payments (amount < 0), or 'all' to regard both directions. If not specified, the direction defaults to 'all'. (optional, default to all)labelIds - A comma-separated list of label identifiers. If specified, then only transactions that have been marked with at least one of the given labels will be contained in the result. (optional)categoryIds - A comma-separated list of category identifiers. If specified, then the result will contain only transactions whose category is either one of the given categories, or - but only if the 'includeChildCategories' flag is set to 'true' - whose category is a sub-category of one of the given categories. To include transactions without any category, pass the value '0' as the categoryId. (optional)includeChildCategories - This flag controls how the given 'categoryIds' are handled. If set to 'true', then all transactions of a given categoryId, as well as all transactions of any of its sub-categories will be regarded. If set to 'false', then sub-categories of a given categoryId will not be regarded and only those transactions are regarded whose category matches one of the explicitly given categoryIds. The default value for this flag is 'true'. (optional, default to true)isNew - If specified, then only transactions that have their 'isNew' flag set to true/false will be regarded. (optional)isPotentialDuplicate - If specified, then only transactions that have their 'isPotentialDuplicate' flag set to true/false will be regarded. (optional)isAdjustingEntry - If specified, then only transactions that have their 'isAdjustingEntry' flag set to true/false will be regarded. (optional)minImportDate - Lower bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or later than the given date will be regarded. (optional)maxImportDate - Upper bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or earlier than the given date will be regarded. (optional)page - Result page that you want to retrieve. (optional, default to 1)perPage - Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional, default to 20)order - Determines the order of the results. You can use the following fields for ordering the response: 'id', 'parentId', 'accountId', 'valueDate', 'bankBookingDate', 'finapiBookingDate', 'amount', 'purpose', 'counterpartName', 'counterpartAccountNumber', 'counterpartIban', 'counterpartBlz', 'counterpartBic', 'type', 'primanota', 'category.id', 'category.name', 'isPotentialDuplicate', 'isNew' and 'importDate'. The default order for all services is 'id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/transactions?order=finapiBookingDate,desc&order=counterpartName' will return the latest transactions first. If there are more transactions on the same day, then these transactions are ordered by the counterpart name (ascending). The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call getAndSearchAllTransactionsAsync(String view, List<Long> ids, String search, String counterpart, List<Long> accountIds, String minBankBookingDate, String maxBankBookingDate, String minFinapiBookingDate, String maxFinapiBookingDate, BigDecimal minAmount, BigDecimal maxAmount, String direction, List<Long> labelIds, List<Long> categoryIds, Boolean includeChildCategories, Boolean isNew, Boolean isPotentialDuplicate, Boolean isAdjustingEntry, String minImportDate, String maxImportDate, Integer page, Integer perPage, List<String> order, ApiCallback<PageableTransactionList> callback) throws ApiException
view - This parameter defines finAPI's logical view on the transactions when querying them: 'bankView' regards only the original transactions as they were received from the bank, without considering how the transactions might have gotten split by the user (see POST /transactions/<id>/split). This means that if a transaction is split into logical sub-transactions, then the service will still regard only the original transaction, and NOT the logical sub-transactions in its processing (though for convenience, the transactions will have the data of their sub-transactions included in the response). 'userView' by contrast regards the transactions as they exist for the user. For transactions that have not been split into logical sub-transactions, there is no difference to the \"bankView\". But for transaction that have been split into logical sub-transactions, the service will ONLY regard these sub-transactions, and not the originally received transaction (though for convenience, the sub-transactions will have the identifier of their original transaction included in the response). (required)ids - A comma-separated list of transaction identifiers. If specified, then only transactions whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)search - If specified, then only those transactions will be contained in the result whose 'purpose' or counterpart fields contain the given search string (the matching works case-insensitive). If no transactions contain the search string in any of these fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for a transaction to get included into the result. (optional)counterpart - If specified, then only those transactions will be contained in the result whose counterpart fields contain the given search string (the matching works case-insensitive). If no transactions contain the search string in any of the counterpart fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for a transaction to get included into the result. (optional)accountIds - A comma-separated list of account identifiers. If specified, then only transactions that relate to the given accounts will be regarded. If not specified, then all accounts will be regarded. (optional)minBankBookingDate - Lower bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or later than the given date will be regarded. (optional)maxBankBookingDate - Upper bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or earlier than the given date will be regarded. (optional)minFinapiBookingDate - Lower bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)maxFinapiBookingDate - Upper bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)minAmount - If specified, then only transactions whose amount is equal to or greater than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)maxAmount - If specified, then only transactions whose amount is equal to or less than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)direction - If specified, then only transactions with the given direction(s) will be regarded. Use 'income' for regarding only received payments (amount >= 0), 'spending' for regarding only outgoing payments (amount < 0), or 'all' to regard both directions. If not specified, the direction defaults to 'all'. (optional, default to all)labelIds - A comma-separated list of label identifiers. If specified, then only transactions that have been marked with at least one of the given labels will be contained in the result. (optional)categoryIds - A comma-separated list of category identifiers. If specified, then the result will contain only transactions whose category is either one of the given categories, or - but only if the 'includeChildCategories' flag is set to 'true' - whose category is a sub-category of one of the given categories. To include transactions without any category, pass the value '0' as the categoryId. (optional)includeChildCategories - This flag controls how the given 'categoryIds' are handled. If set to 'true', then all transactions of a given categoryId, as well as all transactions of any of its sub-categories will be regarded. If set to 'false', then sub-categories of a given categoryId will not be regarded and only those transactions are regarded whose category matches one of the explicitly given categoryIds. The default value for this flag is 'true'. (optional, default to true)isNew - If specified, then only transactions that have their 'isNew' flag set to true/false will be regarded. (optional)isPotentialDuplicate - If specified, then only transactions that have their 'isPotentialDuplicate' flag set to true/false will be regarded. (optional)isAdjustingEntry - If specified, then only transactions that have their 'isAdjustingEntry' flag set to true/false will be regarded. (optional)minImportDate - Lower bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or later than the given date will be regarded. (optional)maxImportDate - Upper bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or earlier than the given date will be regarded. (optional)page - Result page that you want to retrieve. (optional, default to 1)perPage - Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional, default to 20)order - Determines the order of the results. You can use the following fields for ordering the response: 'id', 'parentId', 'accountId', 'valueDate', 'bankBookingDate', 'finapiBookingDate', 'amount', 'purpose', 'counterpartName', 'counterpartAccountNumber', 'counterpartIban', 'counterpartBlz', 'counterpartBic', 'type', 'primanota', 'category.id', 'category.name', 'isPotentialDuplicate', 'isNew' and 'importDate'. The default order for all services is 'id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/transactions?order=finapiBookingDate,desc&order=counterpartName' will return the latest transactions first. If there are more transactions on the same day, then these transactions are ordered by the counterpart name (ascending). The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object@Deprecated public com.squareup.okhttp.Call getMultipleTransactionsCall(List<Long> ids, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
ids - Comma-separated list of identifiers of requested transactions (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body object@Deprecated public TransactionList getMultipleTransactions(List<Long> ids) throws ApiException
ids - Comma-separated list of identifiers of requested transactions (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body@Deprecated public ApiResponse<TransactionList> getMultipleTransactionsWithHttpInfo(List<Long> ids) throws ApiException
ids - Comma-separated list of identifiers of requested transactions (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body@Deprecated public com.squareup.okhttp.Call getMultipleTransactionsAsync(List<Long> ids, ApiCallback<TransactionList> callback) throws ApiException
ids - Comma-separated list of identifiers of requested transactions (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call getTransactionCall(Long id, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
id - Identifier of transaction (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic Transaction getTransaction(Long id) throws ApiException
id - Identifier of transaction (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Transaction> getTransactionWithHttpInfo(Long id) throws ApiException
id - Identifier of transaction (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call getTransactionAsync(Long id, ApiCallback<Transaction> callback) throws ApiException
id - Identifier of transaction (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call restoreTransactionCall(Long id, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
id - Transaction identifier (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic Transaction restoreTransaction(Long id) throws ApiException
id - Transaction identifier (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Transaction> restoreTransactionWithHttpInfo(Long id) throws ApiException
id - Transaction identifier (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call restoreTransactionAsync(Long id, ApiCallback<Transaction> callback) throws ApiException
id - Transaction identifier (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call splitTransactionCall(Long id, SplitTransactionsParams body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
id - Transaction identifier (required)body - Split transactions parameters (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic Transaction splitTransaction(Long id, SplitTransactionsParams body) throws ApiException
id - Transaction identifier (required)body - Split transactions parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Transaction> splitTransactionWithHttpInfo(Long id, SplitTransactionsParams body) throws ApiException
id - Transaction identifier (required)body - Split transactions parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call splitTransactionAsync(Long id, SplitTransactionsParams body, ApiCallback<Transaction> callback) throws ApiException
id - Transaction identifier (required)body - Split transactions parameters (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call triggerCategorizationCall(TriggerCategorizationParams body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
body - Trigger categorization parameters (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic void triggerCategorization(TriggerCategorizationParams body) throws ApiException
body - Trigger categorization parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Void> triggerCategorizationWithHttpInfo(TriggerCategorizationParams body) throws ApiException
body - Trigger categorization parameters (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call triggerCategorizationAsync(TriggerCategorizationParams body, ApiCallback<Void> callback) throws ApiException
body - Trigger categorization parameters (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectCopyright © 2018. All rights reserved.